Instalar/actualizar K3B 1.0 en Ubuntu 6.06

Imagen de inquilino
0 puntos

Me gustaría instalar el nuevo K3B, ahora tengo la 0.12 y no me va mal, pero vistas las mejoras creo que merece la pena.

Mi problema es que no se como hacerlo para instalarlo, necesito compilarle pero no se como, o si alguien sabe de algún repositorio para su actualización.

Si no existe todavía repositorio como hago para instalarle bajandome las fuentes del mismo, el tar.bz2

Saludos.

Imagen de MarianoC
+1
0
-1

hola, todavia no se crearon los paquetes y se pusieron en algun repositorio, asi que creo que la unica salida es compilar. Si nunca lo hiciste vas a tener que instalar dos paquetes, asi que:
$ sudo aptitude install build-essential checkinstall

Hecho esto, bajas k3b desde http://prdownloads.sourceforge.net/k3b/k3b-1.0.tar.bz2?download, y luego haces:
$ tar -xjvf k3b-1.0.tar.bz2
$ cd k3b-1.0
$ ./configure
$ make
$ sudo make install (o sudo checkinstall)

Yo prefiero usar checkinstall, ya que te crea un deb, de forma que lo podes desinstalar facilmente desde synaptic

Lo que no se es si vas a poder compilar bien, porque de seguro te faltan todas la mayoria de las librerias necesarias. Proba como te puse antes, si no tenes problemas mejor, sino postea cual es el error y vemos como ayudarte
Saludos!!

+1
0
-1
Imagen de inquilino
+1
0
-1

¿Tengo que desinstalar la anterior versión o no es necesario?

Saludos.

+1
0
-1
Imagen de MarianoC
+1
0
-1

Depende, en principio si, ya que es un poco innecesario tener dos veces el mismo programa, pero como no sabes si vas a poder instalarlo correctamente, te conviene dejar la version anterior y esta instalarla por ejemplo en tu home. para eso, a la hora de usar el configure, escribi:
$ ./configure --prefix=$HOME

Saludos!

+1
0
-1
Imagen de inquilino
+1
0
-1

He seguido los pasos como has dicho pero me da este error al final:

checking for X... configure: error: Can't find X includes. Please check your ins tallation and add the correct paths!

Ni idea :(

Saludos.

+1
0
-1
Imagen de FedeTheGreat
+1
0
-1

anda a synaptic e instala las xlib
Linux User #404818

+1
0
-1

Me gustan las cosas simples por eso uso Arch!
Linux User# 404818

Imagen de tuxramos
+1
0
-1

Hola a todos, en mi pagina web he puesto un guia completa para compilacion e instalacion de k3b 1.0 en ubuntu (desde las fuentes) delen una ojeada.

http://tuxramos.bravehost.com/documentos.html

Suerte.

 

+1
0
-1
Imagen de Juako4
+1
0
-1

Yo al hacer el ./configure me da error:
checking for Qt... configure: error: Qt (>= Qt 3.2 and < 4.0) (headers and libraries) not found. Please check your installation!
ASi que busque el qt que vi que era necesario una versión mas reciente pero no logro encontrarla
Un saludo

+1
0
-1
Imagen de Javier M.
+1
0
-1

A mi tambien me da ese error. Alguien sabe como se soluciona??

checking for Qt... configure: error: Qt (>= Qt 3.2 and < 4.0) (headers and libraries) not found. Please check your installation!
For more details about this problem, look at the end of config.log.

Muchas gracias. 

#################################

Funcionara mejor si lo enchufas

+1
0
-1
Imagen de FedeTheGreat
+1
0
-1

si mal no entiendo dice que necesita librerias QT mayores a 4 y estan instaladas las 3.2 y que no estan  ni los headers ni las librerias.. anda a synaptic y buscalas y sino en la web de Debian pakages

Me gustan las cosas simples por eso uso Arch! Linux User# 404818

+1
0
-1

Me gustan las cosas simples por eso uso Arch!
Linux User# 404818